import type { CalendarTypeViewModel } from "./calendarType.models";

export interface CalendarViewModel {
  id: string;
  starttime: Date;
  endtime: Date;
  title: string;
  content: string;
  location: string;
  allDay: boolean;
  createdAt: Date;
  updatedAt: Date;
  type: CalendarTypeViewModel;
}

export interface CreateCalendarViewModel {
  starttime: Date;
  endtime: Date;
  title: string;
  content: string;
  location: string;
  allDay: boolean;
  typeId: string;
}

export interface UpdateCalendarViewModel {
  id: string;
  starttime: Date;
  endtime: Date;
  title: string;
  content: string;
  location: string;
  allDay: boolean;
  typeId: string;
}
